[Mongrel] mongrel install on win32 XP problems

Luis Lavena luislavena at gmail.com
Mon Dec 4 17:34:22 EST 2006

On 12/4/06, Andy Koch <andy.koch at pc-doctor.com> wrote:
> I can't get mongrel installed on a Win XP.  I keep getting some unknown
> error with this "win32-service-0.5.2".  While it states results are
> logged, the file is empty - not much help.  I even tried complete
> uninstall of ruby and reinstalled ruby 1.8.5-21.  But no luck.

The problem is that mongrel depends on win32-service >= 0.5.0
We (Zed and I) hacked a gem of win32-service for 0.5.0, but win32utils
guys start distributing a source only version of 0.5.2 (which requires
compilers to build it).

Since that, rubyforge removed the pre-build gem made by us.

A workaround that problem is:

Download the service.so from the win32utils project (service-0.5.2-vc6.so):


Renamed it to "service.so" and place it into:


THEN, install mongrel gem.

Hope we resolve that "issue" for the next release, removing the
dependency on the service gem.

> Oddly, I had no problem installing earlier on a Win 2K machine.  Is
> there something special about XP?

Guess is that because you already have the gem installed.

> here is output from...
> Thank you


Luis Lavena
Multimedia systems
Leaders are made, they are not born. They are made by hard effort,
which is the price which all of us must pay to achieve any goal that
is worthwhile.
Vince Lombardi

More information about the Mongrel-users mailing list